Skip to main content
`Ctrl`+`K`

# KSPMonitorTrueResidualDraw

Plots the true residual at each iteration of an iterative solver.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorTrueResidualDraw(KSP ksp, PetscInt n, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ksp - iterative context

- n - iteration number

- rnorm - 2-norm (preconditioned) residual value (may be estimated).

- vf - The viewer context of type `PETSCVIEWERDRAW`

## Options Database Key

- -ksp_monitor_true_residual draw - Activates `KSPMonitorResidualDraw()`

## Note

This is not called directly by users, rather one calls `KSPMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `KSP` solve.

## See Also

KSP: Linear System Solvers, `PETSCVIEWERDRAW`, `KSP`, `KSPMonitorSet()`, `KSPMonitorTrueResidual()`, `KSPMonitorResidual()`, `KSPMonitorTrueResidualDrawLG()`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages